Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.composites
Class ECPProjectSelectionModelClassCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>
          org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite
              org.eclipse.emf.ecp.spi.common.ui.composites.SelectModelClassCompositeImpl
                  org.eclipse.emf.ecp.internal.ui.composites.ECPProjectSelectionModelClassCompositeImpl

All Implemented Interfaces:
  CompositeProvider, SelectionComposite<org.eclipse.jface.viewers.TreeViewer>

    public class ECPProjectSelectionModelClassCompositeImpl

extends SelectModelClassCompositeImpl

Author:
  Eugen

Constructor Summary
`ECPProjectSelectionModelClassCompositeImpl(ECPProject project)` Constructor that delegates to the `AbstractEClassTreeSelectionComposite.AbstractEClassTreeSelectionComposite(Collection, Collection, Collection)` by reading the data from the project.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite
`dispose`

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite
`createUI, getSelection, getViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.composites.SelectionComposite
`getSelection, getViewer`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`createUI, dispose`

Constructor Detail

### ECPProjectSelectionModelClassCompositeImpl

    public ECPProjectSelectionModelClassCompositeImpl(ECPProject project)

  Constructor that delegates to the `AbstractEClassTreeSelectionComposite.AbstractEClassTreeSelectionComposite(Collection, Collection, Collection)` by reading the data from the project.

  Parameters:
    `project` - the `ECPProject` to read the data from

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.